Release Kodi (a.k.a XBMC)

levi

Still fresh, damnit!
Joined
Oct 6, 2008
Messages
11,381
Location
Somewhere off the coast of the EU
The 18.2 "Leila" version got a lot of changes in the Context creation / Renderer path, making it tricky to use GLES on Linux (no support anymore, only RPi support), or use GL4ES (Kodi use EGL to create OpenGL context). So this one needed some hack.
Oof, that sounds like a backward step for the Kodi team. Granted, most home cinema users these days will be using raspberry pis to do it because they're so cheap, but I'd have thought you'd get some more latitude still with a nanoitx based system and a real (if largely passively cooled) graphics card.

So especially nice work in getting around their shortsightedness.
 

paralabamba

Still Fresh
Joined
Sep 4, 2017
Messages
23
Hello,
I have some problem with this last version. When I launch the application, all is fine but video are very sloooow and I have a weird green in all the screen when it launch video, it looks like a night-vision mode on an old game...
Streaming works, (how frustrating) but I use old version (17.2) and all is fine. I try to reinstall several times (and erase xbmc folder in pandora/appdata before)
I have a 1Ghz Model.
Any advice is welcome :)
....and many thanks for the good work, anyway !
 

ptitSeb

Serial Porter
Joined
Aug 15, 2012
Messages
8,430
Age
46
Location
France, near Lyon
Hello,
I have some problem with this last version. When I launch the application, all is fine but video are very sloooow and I have a weird green in all the screen when it launch video, it looks like a night-vision mode on an old game...
Streaming works, (how frustrating) but I use old version (17.2) and all is fine. I try to reinstall several times (and erase xbmc folder in pandora/appdata before)
I have a 1Ghz Model.
Any advice is welcome :)
....and many thanks for the good work, anyway !
Strange behavour...
Do you use SGX Driver PND? If not, I suggest you first upgrade to latest 4.10 driver.
Also, is your firmware resonnably up-to-date?

And, look in your appdata of the PND: appdata/xbmc/.kodi/temp/kodi.log the log may contain usefull stuff...
 

Swordfish II

Very Active Member
Joined
May 20, 2015
Messages
820
So, I have finally update the KODI/XBMC PND for the Pandora.

The 18.2 "Leila" version got a lot of changes in the Context creation / Renderer path, making it tricky to use GLES on Linux (no support anymore, only RPi support), or use GL4ES (Kodi use EGL to create OpenGL context). So this one needed some hack. It now use gl4es and so OpenGL 2.0 shaders. I needed a few fixes on gl4es forthis one, but that it, it seems to works fine. I also embedded 2 music visualization plugins (Spectrum and Waveform). I tested quickly on my gigahertz with a SD Video, an HD Video and Musics and all seems to work fine...

To get both Music Visualizer, you will need to enable them in Setup/Add-ons/My Addons/All first.

Build 15
-----------

  • Updated to 18.2
  • Added Spectrum and Waveform Music Visualizer
18.2 supports inputadaptive stream for integrated netflix via Addon. However based on how that setup performs on my pi2, doesn't support hardware acceleration, and needs to dl and extract chromebook drm i doubt it will work well on the pandora.

Wishful thinking to avoid booting into android for Netflix.... Should be good for the Pyra, although Elementum addon (torrent based streaming) is almost better due to hw acceleration.

Still something to try once the Pyra comes out.
 

paralabamba

Still Fresh
Joined
Sep 4, 2017
Messages
23
@ptitSeb :

Many thanks. it works now, I install SGX Driver PND and update to 4.10 driver.

As expected, Mupen64 doesn't work anymore (and I never success having game control on Mupen64+ and Mupen64-v2.2 although I flash at least two time with the latest SuperZaxxon 1.76, an other strange things)
...but I can live without mario64...
Could my pandora live without you ? Not sure... :)
Merci
 

ptitSeb

Serial Porter
Joined
Aug 15, 2012
Messages
8,430
Age
46
Location
France, near Lyon
Only Muppen64-v2 will be compatible with SGX 4.10 IIRC. Ah yes, I forgot about that missing control file issue. I'll try to not forget and look at it soon.
 
Top